<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suif1.texi on 28 April 1999 -->

<TITLE>The SUIF Version 1 Library - Overview Diagram</TITLE>
<link href="suif1_111.html" rel=Next>
<link href="suif1_109.html" rel=Previous>
<link href="suif1_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_109.html">previous</A>, <A HREF="suif1_111.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC110" HREF="suif1_toc.html#TOC110">Overview of the SUIF Hierarchy</A></H2>

<P>
This diagram represents the overall hierarchical structure of the SUIF
intermediate representation. At the top level, the global symbol
information is kept. See section <A HREF="suif1_42.html#SEC42">The Global Symbol Table</A>. In the next level,
information regarding each input and output file is kept.  See section <A HREF="suif1_7.html#SEC7">Representation of Source Files</A>. The third level is the abstract syntax tree
representation.  See section <A HREF="suif1_10.html#SEC10">Abstract Syntax Trees</A>. The bottom level contains the expression
trees.  See section <A HREF="suif1_22.html#SEC22">Instructions and Expression Trees</A>.

</P>
<img src="suif_struct.gif">

<P><HR><P>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_109.html">previous</A>, <A HREF="suif1_111.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
</BODY>
</HTML>
